SSSD(8)

NAME
sssd - Demonen för systemsäkerhetstjänster

SYNOPSIS

sssd [flaggor]

BESKRIVNING

SSSD tillhandahåller en uppsättning demoner för att hantera åtkomst till fjärrkataloger och autentiseringsmekanismer. Det tillhandahåller ett NSS- och PAM-gränssnitt mot systemet och ett system med insticksmoduler till bakänden för att ansluta till flera olika kontokällor, såväl som ett D-Bus-gränssnitt. Det är också basen för att tillhandahålla klientgranskning och policytjänster för projekt som FreeIPA. Det tillhandahåller en mer robust databas att spara lokala användare såväl som utökade användardata.

FLAGGOR

-d,--debug-level NIVÅ
    SSSD stödjer två representationer för att ange felsökningsnivå. Det enklaste är att ange ett decimalt värde från 0-9 som representerar aktivering av den nivån och alla lägre nivåer av felsökningsmeddelanden. Det mer fullständiga alternativet är att ange en hexadecimal bitmask för att aktivera eller avaktivera specifika nivåer (såsom om du önskar undertrycka en nivå).

    Observera att varje SSSD-tjänst loggar till sin egen loggfil. Observera också att aktivering av “debug_level” i avsnittet “[sssd]” bara aktiverar felsökning just för själva sssd-processen, inte för respondent- eller leverantörsprocesser. Parametern “debug_level” skall läggas till i alla sektioner som man vill producera felsökningsloggar ifrån.

    Utöver att ändra loggnivån i konfigurationsfilen med parametern “debug_level”, som är bestående, men kräver omstart av SSSD, är det även möjligt att ändra felsökningsnivån i farten med verktyget sss_debuglevel(8).

    Felsökningsnivåer som för närvarande stödjs:

    0, 0x0010: Ödesdigra fel. Allt som skulle hindra SSSD från att starta upp eller får den att sluta köra.

    1, 0x0020: Kritiska fel. Ett fel som inte dödar SSSD, men ett som indikerar att åtminstone en viktig funktion inte kommer fungera korrekt.

    2, 0x0040: Allvarliga fel. Ett fel som rapporterar att en viss begäran eller operation har misslyckats.

    3, 0x0080: Smärre fel. Detta är fel som skulle kunna bubbla ner till att orsaka funktionsfelet 2.

    4, 0x0100: Konfigurationsinställningar.

    5, 0x0200: Funktionsdata.

    6, 0x0400: Spårmeddelanden för åtgärdsfunktioner.

    7, 0x1000: Spårmeddelanden för interna styrfunktioner.

    8, 0x2000: Innehållet i interna variabler som kan vara intressant.

    9, 0x4000: Spårningsinformation på extremt låg nivå.

    9,0x20000: Prestanda och statistiska data, observera att på grund av hur förfrågningar behandlas internt kan den loggade exekveringstiden för en förfrågan vara längre än den faktiskt var.

    10, 0x10000: Ännu mer lågnivå spårningsinformation om libldb. Det behövs nästan aldrig.

    För att logga begärda bitmaskfelsökningsnivåer, lägg helt enkelt ihop deras tal som visas i följande exempel:

    Exempel: För att logga ödesdigra fel, kritiska fel, allvarliga fel och funktionsdata, använd 0x0270.

    Exempel: För att logga ödesdigra fel, konfigurationsinställningar, funktionsdata och spårmeddelanden för interna styrfunktioner, använd 0x1310.

    Observera: bitmaskformatet för felsökningsnivåer introducerades i 1.7.0.

    Standard: 0x0070 (d.v.s. ödesdigra, kritiska och allvarliga fel; motsvarar inställningen 2 i decimal notation)

--debug-timestamps=läge
    1: Lägg till en tidsstämpel till felsökningsmeddelandena

    0: Avaktivera tidsstämpeln i felsökningsmeddelanden

    Standard: 1

--debug-microseconds=läge
    1: Lägg till mikrosekunder till tidsstämpeln i felsökningsmeddelanden

    0: Avaktivera mikrosekunder i tidsstämpeln

    Standard: 0

--logger=värde
    Platsen dit SSSD kommer skicka loggmeddelanden.

    stderr: Omdirigera felmeddelanden till standard fel-utmatning.

    files: Omdirigera felsökningsmeddelanden till loggfilerna. Som standard lagras loggfilerna i /var/log/sssd och det finns separata loggfiler för varje SSSD-tjänst och domän.

    journald: Omdirigera felsökningsmeddelanden till systemd-journald

    Standard: inte satt (fall tillbaka på journald om den är tillgänglig, annars standard fel)

-D,--daemon
    Bli en demon efter att ha startat upp.

-i,--interactive
    Kör i förgrunden, bli inte en demon.

-c,--config
    Ange en annan konfigurationsfil än standard. Standard är /etc/sssd/sssd.conf. För referens till konfigurationsfilsyntaxen och -alternativ, konsultera manualsidan sssd.conf(5).

-?,--help
    Visa ett hjälpmeddelande och avsluta.

--version
    Skriv ut versionsnumret och avsluta.

SIGNALER

SIGTERM/SIGINT
    Säger till SSSD att snyggt avsluta alla dess barnprocesser och sedan stänga av monitorn.

SIGHUP
    Säger till SSSD att sluta skriva till dess aktuella felsökningsfilbeskrivare och stänga och öppna om dem. Detta är tänkt att möjliggöra loggrullning med program som logrotate.

SIGUSR1
    Säger till SSSD att simulera frånkopplad funktion under tiden hos parametern “offline_timeout”. Detta är användbart för att testa. Signalen kan skickas antingen till sssd-processen eller direkt till någon sssd_be-process.

SIGUSR2
    Säger till SSSD att gå till uppkopplat läge omedelbart. Detta är användbart för att testa. Signalen kan skickas antingen till sssd-processen eller direkt till någon sssd_be-process.

SIGRTMIN+1
    Säger till SSSD:n att schemalägga om de periodiska uppgifterna. Den interna vakthunde skickar denna signal till leverantörerna när en klockförändring upptäcks även om den kan skickas direkt till en sssd_be-process.

SLUTSTATUS

0
    SSSD stängdes av snyggt.

1
    Felaktig konfiguration eller kommandoradsflagga.

2
    Minnesallokeringsfel.

6
    SSSD kör redan.

Andra koder
    Andra koder markerar andra olika fel, sannolikt om saknade nödvändiga åtkomsträttigheter. Se SSSD:s och systemets loggar för detaljer.

NOTER

Om miljövariabeln SSS_NSS_USE_MEMCACHE är satt till ”NO” kommer klientprogram inte använda den snabba cachen i minnet.

Om miljövariabeln SSS_LOCKFREE är satt till ”NO” kommer begäranden från multipla trådar i ett enskilt program att seriaaliseras.

SE ÄVEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-idp(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

SSSD uppströms – https://github.com/SSSD/sssd/